// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

// package access_log implement all interfaces for operation of api log and provider log
package access_log

import (
	"fmt"
	"time"
	"strconv"
)

const (
	PAGESIZE = 10
	MaxTimes = 5
)

func Decimal(value float64) float64 {
	value, _ = strconv.ParseFloat(fmt.Sprintf("%.2f", value/1000), 64)
	return value
}


func timestampToDate(timestamp int64) string {
	return time.Unix(timestamp, 0).Format("2006-01-02")
}

func getMonthFromtimestamp(timestamp int64) int {
	return int(time.Unix(timestamp, 0).Month())
}
