package rpc_apis

import (
	"gd_statistics/rpc_apis/gd_management"
	"gd_statistics/common.in/config"
)

var Management *gd_management.GdManagementXClient

func Init(etcdAddrs []string, conf *config.Configure) {
	Management = &gd_management.GdManagementXClient{}
	Management.Init(etcdAddrs, conf.Rpc.BasePath, conf.Rpc.Management.Name)
}

func InitForK8s(conf *config.Configure) {
	Management = &gd_management.GdManagementXClient{}
	Management.InitForK8s(conf.Rpc.Management.Name, conf.Rpc.Management.ServiceName, conf.Rpc.Management.ServicePort.String())
}
