package apis

type TryApiAccessLog struct {
	Id             int64  `orm:"auto,column(id)"`
	ApiId          int    `orm:"column(api_id)"`
	ApiName        string `orm:"column(api_name)"`
	RequestParams  string `orm:"column(request_params)"`
	ResponseParams string `orm:"column(response_params)"`
	Code           int64  `orm:"column(code)"`
	Msg            string `orm:"column(msg)"`
	CreateTime     string `orm:"column(create_time)"`
}

func (t *TryApiAccessLog) TableName() string {
	return "t_gd_try_api_access_log"
}

type TryApiAccessLogReq struct {
	ApiId          int      `json:"api_id"`
	ApiName        string   `json:"api_name"`
	RequestParams  []string `json:"request_params"`
	ResponseParams []string `json:"response_params"`
	Code           string   `json:"code"`
	Msg            string   `json:"msg"`
}

type TryApiAccessLogReply struct {
}
