package access_log

import (
	"context"
	"gd_statistics/apis"
	"github.com/astaxie/beego/orm"
	"time"
)

func LogExportCreate(ctx context.Context, req *apis.LogExportCreateReq, reply *apis.LogExportCreateReply) (err error) {
	export := apis.TGdAccessLogCountExport{}
	//time := time.Unix().String()
	time := time.Now().Format("2006-01-02 15:04:05")
	if req.Id != 0 {
		orm.NewOrm().QueryTable("t_gd_access_log_count_export").Filter("id", req.Id).One(&export)
		export.Status = req.Status
		_, err = orm.NewOrm().Update(&export)
	} else if req.FileName != "" {
		export.FileName = req.FileName
		export.Status = req.Status
		export.Path = req.Path
		export.CreateTime = time
		export.ExportType = req.ExportType
		reply.Id, err = orm.NewOrm().Insert(&export)
	}
	return err
}
